# Filename: point_w.py
# Purpose: Point w value.
# Returns: Double.

from maptek import vulcan_gui

# select location of point
pick1 = vulcan_gui.pick_point() # creates a point object
pick1.set_single_point() # set property to select only one point
pt1 = pick1.pick('Select location of new point') # pick the point

'''
The function pick() returns a tuple, therefore to use a point that has been
selected you must extract the point element from the tuple by index.
Example: pt1[0]
'''

# to set w value:
pt1[0].w = 6

# to get w value:
n = pt1[0].w
print(n)